<script>
    import '../../app.css';
    import menu from '../../data/headerdata.json';
</script>

<header class="js-page-header fixed top-0 z-20 w-full bg-blue">
    <div class="flex items-center px-3 py-3 w-full">
        <!-- Logo -->
        <a href="/" class="shrink-0">
            <img src="/img/logo.png" class="max-h-20 dark:hidden" alt="NFT Marketplace" />
            <img src="/img/logo.png" class="hidden max-h-20 dark:block" alt="TradeHands" />
        </a>

        <!-- Search -->
        <form
            action="search"
            class=" ml-12 mr-8  basis-3/12 invisible lg:visible   lg:flex lg:flex-row lg:items-center"
        >
            <input
                type="search"
                class="text-jacarta-700 placeholder-jacarta-500 focus:ring-accent border-jacarta-100  rounded border py-[0.6875rem] px-4 pl-10 dark:border-transparent dark:white dark:text-white dark:placeholder-gray-400 w-[124%]"
                placeholder="Search"
            />
            <!-- <div > -->
            <svg viewBox="-2 -2 103 103" class="fill-jacarta-500 h-4 w-5 dark:fill-gray-400 -m-11"
                ><path
                    stroke-width="2"
                    d="M78.11,69.76c-1.21-1.12-2.69-1.5-3.29-.85s-2.1.27-3.32-.83L70.3,67a3.75,3.75,0,0,1-.64-4.56S78,49,78,39A39,39,0,1,0,39,78c9,0,21.17-6.67,21.17-6.67A4.51,4.51,0,0,1,65,71.9l1.61,1.46c1.22,1.11,1.82,2.44,1.34,3s.11,1.87,1.33,3L90.89,99.24a3,3,0,0,0,4.24-.17l4.74-5.14a3,3,0,0,0-.17-4.24ZM39,71A32,32,0,1,1,71,39,32,32,0,0,1,39,71Z"
                /></svg
            >
            <!-- </div> -->
            <!-- <input
		  type="search"
		  class="text-jacarta-700 placeholder-jacarta-500 focus:ring-accent border-jacarta-100 w-full rounded border py-[0.6875rem] px-4 pl-10 dark:border-transparent dark:bg-white/[.15] dark:text-white dark:placeholder-white"
		  placeholder="Search"
		/>
		<span class="absolute left-0 top-0 flex h-full w-12 items-center justify-center rounded-2xl">
		  <svg
			xmlns="http://www.w3.org/2000/svg"
			viewBox="0 0 24 24"
			width="24"
			height="24"
			class="fill-jacarta-500 h-4 w-4 dark:fill-white"
		  >
			<path fill="none" d="M0 0h24v24H0z" />
			<path
			  d="M18.031 16.617l4.283 4.282-1.415 1.415-4.282-4.283A8.96 8.96 0 0 1 11 20c-4.968 0-9-4.032-9-9s4.032-9 9-9 9 4.032 9 9a8.96 8.96 0 0 1-1.969 5.617zm-2.006-.742A6.977 6.977 0 0 0 18 11c0-3.868-3.133-7-7-7-3.868 0-7 3.132-7 7 0 3.867 3.132 7 7 7a6.977 6.977 0 0 0 4.875-1.975l.15-.15z"
			/>
		  </svg>
		</span> -->
        </form>

        <!-- Menu / Actions -->
        <div
            class="js-mobile-menu dark:bg-jacarta-800 invisible fixed inset-0 z-10 ml-auto items-center bg-blue opacity-0 lg:visible lg:relative lg:inset-auto lg:flex lg:bg-transparent lg:opacity-100 dark:lg:bg-transparent  lg:ml-0 lg:w-full"
        >
            <!-- Mobile Logo / Menu Close -->
            <div
                class="t-0 dark:bg-jacarta-800 fixed left-0 z-10 flex w-full items-center justify-between bg-blue p-6 lg:hidden"
            >
                <!-- Mobile Logo -->
                <a href="/#" class="shrink-0">
                    <img src="/img/logo.png" class="max-h-7 dark:hidden" alt="TradeHands" />
                    <img src="/img/logo.png" class="hidden max-h-7 dark:block" alt="TradeHands" />
                </a>

                <!-- Mobile Menu Close -->
                <button
                    class="js-mobile-close border-jacarta-100 hover:bg-accent focus:bg-accent group dark:hover:bg-accent ml-2 flex h-10 w-10 items-center justify-center rounded-full border bg-white transition-colors hover:border-transparent focus:border-transparent dark:border-transparent dark:bg-white/[.15]"
                    aria-label="close mobile menu"
                >
                    <svg
                        xmlns="http://www.w3.org/2000/svg"
                        viewBox="0 0 24 24"
                        width="24"
                        height="24"
                        class="fill-jacarta-700 h-4 w-4 transition-colors group-hover:fill-white group-focus:fill-white dark:fill-white"
                    >
                        <path fill="none" d="M0 0h24v24H0z" />
                        <path
                            d="M12 10.586l4.95-4.95 1.414 1.414-4.95 4.95 4.95 4.95-1.414 1.414-4.95-4.95-4.95 4.95-1.414-1.414 4.95-4.95-4.95-4.95L7.05 5.636z"
                        />
                    </svg>
                </button>
            </div>

            <!-- Mobile Search -->
            <form action="search" class="relative mt-24 mb-8 w-full lg:hidden">
                <input
                    type="search"
                    class="text-jacarta-700 placeholder-jacarta-500 focus:ring-accent border-jacarta-100 w-full rounded-2xl border py-3 px-4 pl-10 dark:border-transparent dark:bg-white/[.15] dark:text-white dark:placeholder-white"
                    placeholder="Search"
                />
                <span
                    class="absolute left-0 top-0 flex h-full w-12 items-center justify-center rounded-2xl"
                >
                    <svg
                        xmlns="http://www.w3.org/2000/svg"
                        viewBox="0 0 24 24"
                        width="24"
                        height="24"
                        class="fill-jacarta-500 h-4 w-4 dark:fill-white"
                    >
                        <path fill="none" d="M0 0h24v24H0z" />
                        <path
                            d="M18.031 16.617l4.283 4.282-1.415 1.415-4.282-4.283A8.96 8.96 0 0 1 11 20c-4.968 0-9-4.032-9-9s4.032-9 9-9 9 4.032 9 9a8.96 8.96 0 0 1-1.969 5.617zm-2.006-.742A6.977 6.977 0 0 0 18 11c0-3.868-3.133-7-7-7-3.868 0-7 3.132-7 7 0 3.867 3.132 7 7 7a6.977 6.977 0 0 0 4.875-1.975l.15-.15z"
                        />
                    </svg>
                </span>
            </form>

            <!-- Primary Nav -->
            <nav class="navbar w-full lg:bg-blue">
                <ul class="flex flex-col lg:flex-row lg:w-full lg:justify-evenly  lg:text-white">
                    {#each menu as item}
                        <li class="group">
                            <a
                                href={item.link}
                                class="text-jacarta-700 font-display hover:text-accent focus:text-accent dark:hover:text-accent dark:focus:text-accent flex items-center justify-between py-3.5 text-base text-white dark:text-white lg:px-5 lg:font-light"
                                >{item.name}</a
                            >
                        </li>
                    {/each}
                </ul>
            </nav>

            <a
                href="/#"
                class="bg-accent shadow-accent-volume hover:bg-accent-dark w-100 text-sm py-3 px-5 text-center font-semibold text-white transition-all"
            >
                Login/Signup
            </a>

            <!-- Mobile Connect Wallet / Socials -->

            <!-- Actions -->
            <div class="ml-8 hidden lg:flex xl:ml-12">
                <!-- Wallet -->
                <a
                    href="/#"
                    class="js-wallet border-jacarta-100 flex h-10 w-10 items-center justify-center rounded-full "
                    data-bs-toggle="modal"
                    data-bs-target="#walletModal"
                    aria-label="wallet"
                >
                    <img src="/img/bel-icon.png" class="h-8" alt="Notification icon" />
                </a>

                <!-- Profile -->
                <div class="js-nav-dropdown group-dropdown relative">
                    <button
                        class="dropdown-toggle border-jacarta-100 hover:bg-accent focus:bg-accent group dark:hover:bg-accent ml-2 flex h-10 w-10 items-center justify-center rounded-full border bg-white transition-colors hover:border-transparent focus:border-transparent dark:border-transparent dark:bg-white/[.15]"
                        id="profileDropdown"
                        aria-expanded="false"
                        data-bs-toggle="dropdown"
                        aria-label="profile"
                    >
                        <!-- <svg
				xmlns="http://www.w3.org/2000/svg"
				viewBox="0 0 24 24"
				width="24"
				height="24"
				class="fill-jacarta-700 h-4 w-4 transition-colors group-hover:fill-white group-focus:fill-white dark:fill-white"
			  >
				<path fill="none" d="M0 0h24v24H0z" />
				<path
				  d="M11 14.062V20h2v-5.938c3.946.492 7 3.858 7 7.938H4a8.001 8.001 0 0 1 7-7.938zM12 13c-3.315 0-6-2.685-6-6s2.685-6 6-6 6 2.685 6 6-2.685 6-6 6z"
				/>
			  </svg> -->
                        <div
                            class=" w-11 h-11 flex justify-center items-center rounded-full bg-green-500 text-xl text-white uppercase"
                        >
                            R
                        </div>
                    </button>
                    <div
                        class="dropdown-menu dark:bg-jacarta-800 group-dropdown-hover:opacity-100 group-dropdown-hover:visible !-right-4 !top-[85%] !left-auto z-10 hidden min-w-[14rem] whitespace-nowrap rounded-xl bg-white transition-all will-change-transform before:absolute before:-top-3 before:h-3 before:w-full lg:invisible lg:absolute lg:grid lg:!translate-y-4 lg:py-4 lg:px-2 lg:opacity-0 lg:shadow-2xl"
                        aria-labelledby="profileDropdown"
                    >
                        <button
                            class="js-copy-clipboard font-display text-jacarta-700 my-4 flex select-none items-center whitespace-nowrap px-5 leading-none dark:text-white"
                            data-tippy-content="Copy"
                        >
                            <span class="max-w-[10rem] overflow-hidden text-ellipsis"
                                >art-savvy-alice</span
                            >
                            <svg
                                xmlns="http://www.w3.org/2000/svg"
                                viewBox="0 0 24 24"
                                width="24"
                                height="24"
                                class="dark:fill-jacarta-300 fill-jacarta-500 ml-1 mb-px h-4 w-4"
                            >
                                <path fill="none" d="M0 0h24v24H0z" />
                                <path
                                    d="M7 7V3a1 1 0 0 1 1-1h13a1 1 0 0 1 1 1v13a1 1 0 0 1-1 1h-4v3.993c0 .556-.449 1.007-1.007 1.007H3.007A1.006 1.006 0 0 1 2 20.993l.003-12.986C2.003 7.451 2.452 7 3.01 7H7zm2 0h6.993C16.549 7 17 7.449 17 8.007V15h3V4H9v3zM4.003 9L4 20h11V9H4.003z"
                                />
                            </svg>
                        </button>

                        <div
                            class="dark:border-jacarta-600 border-jacarta-100 mx-5 mb-6 rounded-lg border p-4"
                        >
                            <span class="dark:text-jacarta-200 text-sm font-medium tracking-tight"
                                >Balance</span
                            >
                            <div class="flex items-center">
                                <img width="40px" src="/img/ppylogo.svg" alt="ppy logo" />
                                <span class="text-green text-lg font-bold">100 PPY</span>
                            </div>
                        </div>
                        <a
                            href="/#"
                            class="dark:hover:bg-jacarta-600 hover:text-accent focus:text-accent hover:bg-jacarta-50 flex items-center space-x-2 rounded-xl px-5 py-2 transition-colors"
                        >
                            <svg
                                xmlns="http://www.w3.org/2000/svg"
                                viewBox="0 0 24 24"
                                width="24"
                                height="24"
                                class="fill-jacarta-700 h-4 w-4 transition-colors dark:fill-white"
                            >
                                <path fill="none" d="M0 0h24v24H0z" />
                                <path
                                    d="M11 14.062V20h2v-5.938c3.946.492 7 3.858 7 7.938H4a8.001 8.001 0 0 1 7-7.938zM12 13c-3.315 0-6-2.685-6-6s2.685-6 6-6 6 2.685 6 6-2.685 6-6 6z"
                                />
                            </svg>
                            <span class="font-display text-jacarta-700 mt-1 text-sm dark:text-white"
                                >My Profile</span
                            >
                        </a>
                        <a
                            href="/#"
                            class="dark:hover:bg-jacarta-600 hover:text-accent focus:text-accent hover:bg-jacarta-50 flex items-center space-x-2 rounded-xl px-5 py-2 transition-colors"
                        >
                            <svg
                                xmlns="http://www.w3.org/2000/svg"
                                viewBox="0 0 24 24"
                                width="24"
                                height="24"
                                class="fill-jacarta-700 h-4 w-4 transition-colors dark:fill-white"
                            >
                                <path fill="none" d="M0 0h24v24H0z" />
                                <path
                                    d="M9.954 2.21a9.99 9.99 0 0 1 4.091-.002A3.993 3.993 0 0 0 16 5.07a3.993 3.993 0 0 0 3.457.261A9.99 9.99 0 0 1 21.5 8.876 3.993 3.993 0 0 0 20 12c0 1.264.586 2.391 1.502 3.124a10.043 10.043 0 0 1-2.046 3.543 3.993 3.993 0 0 0-3.456.261 3.993 3.993 0 0 0-1.954 2.86 9.99 9.99 0 0 1-4.091.004A3.993 3.993 0 0 0 8 18.927a3.993 3.993 0 0 0-3.457-.26A9.99 9.99 0 0 1 2.5 15.121 3.993 3.993 0 0 0 4 11.999a3.993 3.993 0 0 0-1.502-3.124 10.043 10.043 0 0 1 2.046-3.543A3.993 3.993 0 0 0 8 5.071a3.993 3.993 0 0 0 1.954-2.86zM12 15a3 3 0 1 0 0-6 3 3 0 0 0 0 6z"
                                />
                            </svg>
                            <span class="font-display text-jacarta-700 mt-1 text-sm dark:text-white"
                                >Edit Profile</span
                            >
                        </a>
                        <a
                            href="/#"
                            class="dark:hover:bg-jacarta-600 hover:text-accent focus:text-accent hover:bg-jacarta-50 flex items-center space-x-2 rounded-xl px-5 py-2 transition-colors"
                        >
                            <svg
                                xmlns="http://www.w3.org/2000/svg"
                                viewBox="0 0 24 24"
                                width="24"
                                height="24"
                                class="fill-jacarta-700 h-4 w-4 transition-colors dark:fill-white"
                            >
                                <path fill="none" d="M0 0h24v24H0z" />
                                <path
                                    d="M12 22C6.477 22 2 17.523 2 12S6.477 2 12 2s10 4.477 10 10-4.477 10-10 10zM7 11V8l-5 4 5 4v-3h8v-2H7z"
                                />
                            </svg>
                            <span class="font-display text-jacarta-700 mt-1 text-sm dark:text-white"
                                >Sign out</span
                            >
                        </a>
                    </div>
                </div>

                <!-- Dark Mode -->
                <a href="/#" class="group ml-2 flex h-10 w-10 items-center justify-center">
                    <img src="/img/dot.png" class="h-8" alt="Dot icon" />
                </a>
            </div>
        </div>

        <!-- Mobile Menu Actions -->
        <div class="ml-auto flex lg:hidden">
            <!-- Mobile Menu Toggle -->
            <button
                class="js-mobile-toggle border-jacarta-100 hover:bg-accent dark:hover:bg-accent focus:bg-accent group ml-2 flex h-10 w-10 items-center justify-center rounded-full border bg-white transition-colors hover:border-transparent focus:border-transparent dark:border-transparent dark:bg-white/[.15]"
                aria-label="open mobile menu"
            >
                <svg
                    xmlns="http://www.w3.org/2000/svg"
                    viewBox="0 0 24 24"
                    width="24"
                    height="24"
                    class="fill-jacarta-700 h-4 w-4 transition-colors group-hover:fill-white group-focus:fill-white dark:fill-white"
                >
                    <path fill="none" d="M0 0h24v24H0z" />
                    <path d="M18 18v2H6v-2h12zm3-7v2H3v-2h18zm-3-7v2H6V4h12z" />
                </svg>
            </button>
        </div>
    </div>
</header>

<style>
    header {
        display: flex;
        justify-content: space-between;
    }

    nav {
        display: flex;
        justify-content: center;
        /* --background: rgba(255, 255, 255, 0.7); */
    }

    svg {
        width: 2em;
        height: 3em;
        display: block;
    }
    svg.fill-jacarta-500.h-4.w-5.-m-11 {
        width: 20px !important;
    }

    path {
        fill: var(--background);
    }

    ul {
        position: relative;
        padding: 0;
        margin: 0;
        height: 3em;
        display: flex;
        /* justify-content: center; */
        align-items: center;
        list-style: none;
        /* background: var(--background); */
        background-size: contain;
    }

    li {
        position: relative;
        height: 100%;
    }

    nav a {
        display: flex;
        height: 100%;
        align-items: center;
        padding: 0 1em;
        color: var(--heading-color);
        font-weight: 200;
        font-size: 0.8rem;
        text-transform: uppercase;
        letter-spacing: 0.1em;
        text-decoration: none;
        transition: color 0.2s linear;
    }

    a:hover {
        color: var(--accent-color);
    }
</style>
